Identity, people & notifications

Approva Action Request

Approves an action request by type/identifier or ID through ActionRequestService, recording the approver decision.

POSThttps://api.toku.com/platform/approva-action-request

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/platform/approva-action-request' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "type": "TEST_TYPE",
  "identifier": "string",
  "actionRequestID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "actionRequest": {
    "actionRequestID": "string",
    "type": "TEST_TYPE",
    "orgID": "string",
    "createdByID": "string",
    "status": "PENDING",
    "identifier": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "approverID": "string",
    "approverType": "TOKU_ADMIN",
    "isClosed": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

typestringrequired

Available options: TEST_TYPE

identifierstring

Allowed: 1 to 200 characters

actionRequestIDstring<uuid>

Response

200Successful response
actionRequestobjectrequired
Show child attributes
actionRequestIDstringrequired
typestringrequired

Available options: TEST_TYPE

orgIDstringrequired
createdByIDstringrequired
statusstringrequired

Available options: PENDING, APPROVED, DENIED, CANCELLED

identifierstringrequired
payloadanyrequired
createdAtstringrequired
updatedAtstringrequired
approverIDstring | nullrequired
approverTypestringrequired

Available options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT

isClosedbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits